NTSecApi.LSA_FOREST_TRUST_RECORD (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: NTSecApi, class: LSA_FOREST_TRUST_RECORD

Package com.sun.jna.platform.win32

# Class NTSecApi.LSA_FOREST_TRUST_RECORD

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.NTSecApi.LSA_FOREST_TRUST_RECORD

Direct Known Subclasses:
  `NTSecApi.LSA_FOREST_TRUST_RECORD.ByReference`

Enclosing interface:
  NTSecApi

@FieldOrder({"Flags","ForestTrustType","Time","u"}) public static class NTSecApi.LSA_FOREST_TRUST_RECORD extends Structure

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `NTSecApi.LSA_FOREST_TRUST_RECORD.ByReference`
  `static class`
  `NTSecApi.LSA_FOREST_TRUST_RECORD.UNION`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `Flags`
  Flags that control the behavior of the operation.
  `int`
  `ForestTrustType`
  LSA_FOREST_TRUST_RECORD_TYPE enumeration that indicates the type of the record.
  `WinNT.LARGE_INTEGER`
  `Time`
  `NTSecApi.LSA_FOREST_TRUST_RECORD.UNION`
  `u`
  Data type depending on ForestTrustType.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LSA_FOREST_TRUST_RECORD()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `read()`
  Reads the fields of the struct from native memory

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### Flags

    public int Flags
    Flags that control the behavior of the operation.

  - ### ForestTrustType

    public int ForestTrustType
    LSA_FOREST_TRUST_RECORD_TYPE enumeration that indicates the type of the record. The following table shows the possible values. ForestTrustTopLevelName Record contains an included top-level name. ForestTrustTopLevelNameEx Record contains an excluded top-level name. ForestTrustDomainInfo Record contains an LSA_FOREST_TRUST_DOMAIN_INFO structure. ForestTrustRecordTypeLast Marks the end of an enumeration.

  - ### Time

    public WinNT.LARGE_INTEGER Time

  - ### u

    public NTSecApi.LSA_FOREST_TRUST_RECORD.UNION u
    Data type depending on ForestTrustType.

- ## Constructor Details

  - ### LSA_FOREST_TRUST_RECORD

    public LSA_FOREST_TRUST_RECORD()

- ## Method Details

  - ### read

    public void read()
    Description copied from class: `Structure`
    Reads the fields of the struct from native memory
    Overrides:
      `read` in class `Structure`